<html>
<head>
<script type="text/javascript" src="minisat.js"></script>
<script type="text/javascript" src="jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="jquery.color-2.1.2.min.js"></script>
<script type="text/javascript" src="util.js"></script>
<script type="text/javascript" src="abstractinterp.js"></script>
<script type="text/javascript" src="expr.js"></script>
<script type="text/javascript" src="parser.js"></script>
<script type="text/javascript" src="bigint.js"></script>
<script type="text/javascript" src="bdd.js"></script>
<script type="text/javascript" src="bddfunction.js"></script>
<script type="text/javascript" src="sat.js"></script>
<script type="text/javascript" src="circuit.js"></script>
<script type="text/javascript" src="circuitfunction.js"></script>
<script type="text/javascript" src="prooffinder.js"></script>
<script type="text/javascript">
$(document).ready(function() {
    bdd.reset();

    var x = BDDFunction.argument(0);
    //var f = BDDFunction.divu(x, BDDFunction.constant(3));
    var g = BDDFunction.shruc(BDDFunction.hmul(x, BDDFunction.constant(0xAAAAAAAAB), false), 1);
    //var h = BDDFunction.eq(f, g);

    var canvas = document.getElementById('canvas');
    var ctx = canvas.getContext('2d');

    var img = bdd.viz();

    ctx.putImageData(img, 0, 0);
});
</script>
</head>
<body>
    <canvas id="canvas" width="1920" height="4370"></canvas>
</body>
</html>